# Class ComputeJobExecutor

### Hierarchy

- BaseJobExecutor
  - ComputeJobExecutor

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendWaitingRequest
- execute
- resendWaitingRequests

## Constructors

### constructor

- new ComputeJobExecutor(serverUrl: string, sasViyaApiClient: SASViyaApiClient): ComputeJobExecutor

- Overrides BaseJobExecutor.constructor

  - Defined in src/job-execution/ComputeJobExecutor.ts:10

  #### Parameters

  - ##### serverUrl: string

  - ##### sasViyaApiClient: SASViyaApiClient

  #### Returns ComputeJobExecutor

## Properties

### Protected serverType

serverType: ServerType

Inherited from BaseJobExecutor.serverType

- Defined in src/job-execution/JobExecutor.ts:20

### Protected serverUrl

serverUrl: string

Inherited from BaseJobExecutor.serverUrl

- Defined in src/job-execution/JobExecutor.ts:20

## Methods

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- Inherited from BaseJobExecutor.appendWaitingRequest

  - Defined in src/job-execution/JobExecutor.ts:45

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### execute

- execute(sasJob: string, data: any, config: any, loginRequiredCallback?: any, authConfig?: AuthConfig): Promise<unknown>

- Overrides BaseJobExecutor.execute

  - Defined in src/job-execution/ComputeJobExecutor.ts:15

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  - ##### Optional loginRequiredCallback: any

  - ##### Optional authConfig: AuthConfig

  #### Returns Promise<unknown>

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- Inherited from BaseJobExecutor.resendWaitingRequests

  - Defined in src/job-execution/JobExecutor.ts:33

  #### Returns Promise<void>

Generated using TypeDoc